Subject: Re: Latest mingw32 release has some problems
From: [email-masked] (Mumit Khan)

7 Dec 1997 11:51:17 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]
Cc: [email-masked]

[email-masked] writes:
> This is what happens while compiling the mingw32 version of libslang:
> 
> D:\Src\slang\src>gcc -o worm  worm.o  -L./ -lslang -ltermcap -lm
> d:\mingw32\i386-mingw32\lib\crt1.o: In function `mingw32_init_mainargs':
> /homes/src/tmp/mingw32-cdk/MINGW32/mingw/../../mingw/init.c:65: undefined
> reference to `__GetMainArgs'
> d:\mingw32\i386-mingw32\lib\crt1.o: In function `mingw32_init_fmode':
> /homes/src/tmp/mingw32-cdk/MINGW32/mingw/../../mingw/crt1.c:108: undefined
> reference to `__imp__fmode_dll'
> collect2: ld returned 1 exit status
> 

Did you change the default specs (one the uses CRTDLL) to one that uses
MSVCRT or MSVCRT20? If so, please copy the specs.crt top specs and retry.

Also, you might want to copy me on these type of messages since this
mailing list has a very long (upto 48 hours) delivery latency.

Mumit
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".